[@rxap/data-source](../wiki/globals) / RxapPipeDataSource

# Function: RxapPipeDataSource()

> **RxapPipeDataSource**(`metadata`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/data-source/src/lib/pipe.data-source.ts:39](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/pipe.data-source.ts#L39)

## Parameters

### metadata

[`PipeDataSourceMetadata`](../wiki/Interface.PipeDataSourceMetadata)

### className

`string` = `'PipeDataSource'`

### packageName

`string` = `'@rxap/data-source'`

## Returns

`Function`

### Parameters

#### target

`Constructor`\<[`PipeDataSource`](../wiki/Class.PipeDataSource)\<`any`, `any`\>\>

### Returns

`void`
